#include "${project}.h"

#include <qcumbiaapplication.h>
#include <quapps.h>

#define VERSION "1.0"

int main(int argc, char *argv[]) {
    QCumbiaApplication a(argc, argv, QCumbiaApplication::DefaultOptions);
    CuModuleLoader mloader(a);
    // mloader.modules() to get the list of loaded modules

    a.setOrganizationName("${organization}");
    a.setApplicationName("${project}");
    QString version(VERSION);
    a.setApplicationVersion(version);
    a.setProperty("author", "${author}");
    a.setProperty("mail", "${mail}");
    a.setProperty("phone", "${phone}");
    a.setProperty("location", "${location}");
    a.setProperty("spokesperson", "${spokesperson}");

    ${class_name} *w = new ${class_name}(nullptr);
    w->show();
    // exec application loop
    int ret = a.exec();
    delete w;
    return ret;
}
